package com.landray.kmss.sys.attachment.jg;

import com.landray.kmss.sys.attachment.model.SysAttMain;
import org.apache.commons.io.IOUtils;
import DBstep.iMsgServer2000;
import com.landray.kmss.common.actions.RequestContext;

public class SysAttJGInsertFileFunction extends AbstractSysAttachmentJGFunction
{
    @Override
    public void execute(final RequestContext request, final iMsgServer2000 MsgObj) throws Exception {
        final String fdId = MsgObj.GetMsgByName("_fdId");
        final String modelId = MsgObj.GetMsgByName("RECORDID");
        final String modelName = MsgObj.GetMsgByName("_fdModelName");
        final String key = MsgObj.GetMsgByName("_fdKey");
        if (SysAttJGInsertFileFunction.logger.isDebugEnabled()) {
            SysAttJGInsertFileFunction.logger.debug("加载文档：fdModelId:" + modelId + "; fdModelName" + modelName + "; fdKey" + key);
        }
        final SysAttMain sysAttMain = this.getSysAttMain(fdId, modelId, modelName, key);
        if (sysAttMain == null) {
            return;
        }
        MsgObj.MsgTextClear();
        MsgObj.MsgFileBody(IOUtils.toByteArray(sysAttMain.getInputStream()));
        MsgObj.SetMsgByName("POSITION", "redhead");
        MsgObj.SetMsgByName("STATUS", "插入成功!");
        MsgObj.SetMsgByName("_fileName", sysAttMain.getFdFileName());
        MsgObj.MsgError("");
    }
}
